Logo
OpenScaler

Initialize new user account

POST
/v1/init

Initializes your account to be able to preform actions on the platform.

Authorization

bearer_auth
AuthorizationBearer <token>

Authentication

Create an API token on Profile. Send it in the Authorization header:

Authorization: Bearer os1_...

Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.

In: header

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X POST "https://example.com/v1/init"
{  "default_project_id": "019dd518-7b37-7b33-99a7-85d78d7a3320"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized. Send POST /v1/init, then retry the request."    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}